Required not working

  • Profile Image
    jsaffir
    Asked on January 15, 2013 at 01:55 PM

    I can't get 'required' to work.  I tried embedding as 'embed' and as 'iframe.' When I don't check required boxes, it submits the form anyway.  My webhost is Weebly.  Do I need to ask them a question to find out how my site has to be embedded?

  • Profile Image
    jeanettebmz
    Answered on January 15, 2013 at 02:58 PM

    The reason why this is not working is because you have an incorrect DOCTYPE declaration :

    <!DOCTYPE html>

     

    Please replace it with this one:


    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

     

    Otherwise, embed the form using the iFrame code

  • Profile Image
    jsaffir
    Answered on January 15, 2013 at 09:38 PM
    Thank you. I saw this as a possible fix, but I can't figure out how to replace the html (on the Jotform site?) with the new text.
    Date: Tue, 15 Jan 2013 14:58:48 -0500
    To: jsaffir1@hotmail.com
    Subject: Re: Required not working
  • Profile Image
    jeanettebmz
    Answered on January 15, 2013 at 09:45 PM

    That doctype declaration is out of Jotform , it's IN your web page code, at the very top of it